[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.AddHandler

Adds an event handler routine of the specified type to the menu item.

## Declaration

Source position: menus.pp line 302

`public procedure TMenuItem.AddHandler(`
`HandlerType: TMenuItemHandlerType;`
`const AMethod: TMethod;`
`AsFirst: Boolean = False`
`);`

## Arguments

`HandlerType` |  | Identifies the type of handler added in the method.
`AMethod` |  | Event handler routine added to the list of handlers.
`AsFirst` |  | True if the handler is the first for the given type.